php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #1965 Sybase-CT doesn't compile with PHP4 source
Submitted: 1999-08-04 19:20 UTC Modified: 1999-11-07 09:51 UTC
From: achernar at dds dot nl Assigned:
Status: Closed Package: Sybase-ct (ctlib) related
PHP Version: 4.0 Beta 1 OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: achernar at dds dot nl
New email:
PHP Version: OS:

 

 [1999-08-04 19:20 UTC] achernar at dds dot nl
Hi,

I tried to compile PHP4/Linux with Sybase-CT support to communicate with an MS SQL server, however the compiler crashed with "too less arguments" for several instructions within the Sybase-CT support. Ofcourse i downloaded all the required components; php3 compiles fine but php4 refuses.

Ruud.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1999-11-07 09:51 UTC] sas at cvs dot php dot net
Fixed in beta 2
 [2002-02-28 08:50 UTC] E dot Keilholz at Bright dot nl
Hey there, got the same problem. Used several options, but for some reason --with-sybase-ct doesn't work. The configure command seens to work fine, but make crashes. I also tried removing "-lcs -linsck -lintl -lcomn and -lsybtcl"  from the configure script, but then it crashed on -lct.
I tried compiling php-4.1.2 which is the newest version, and using a (new installed) RedHat 7.2
freetds > sybase-common and then php... php crashes..
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun Mar 24 13:01:25 2019 UTC